TugasGuildGossip = LibStub("AceAddon-3.0"):NewAddon("TugasGuildGossip", "AceConsole-3.0")

TGG = {
	Version = "0.10",
	Table = {},
}

TGGData = {
}

local options = {
    name = "Tuga's Guild Gossip",
    handler = TugasGuildGossip,
    type = "group",
    args = {
	
		Intro = {
			name = "Info",
			type = "group",
			order = 10,
			args = {
				Info_Header = {
					name = "Info",
					type = "header",
					order = 10,
				},
				Info_A = {
					name = "Info Mode",
					type = "toggle",
					order = 20,
					--width = "full",
					set = function(info, val) TGGData.DebugMode = val end,
					get = function(info) return TGGData.DebugMode end
				},
				Info_B = {
					name = "The info mode shows you only your typed phrased in the console instead of spamming the guild channel. This is only for you.",
					type = "description",
					order = 30
				}
			}
		},

		Hello_0006 = {
			name = "Greetings - night",
			type = "group",
			order = 20,
			args = {
				Hello_0006_Header = {
					name = "greetings between 0 and 6 o'clock",
					type = "header",
					order = 10,
				},
				Hello_0006_A = {
					name = "value 1",
					type = "input",
					order = 20,
					width = "full",
					set = function(info, val) TGGData.Hello0006A = val end,
					get = function(info) return TGGData.Hello0006A end
				},
				Hello_0006_B = {
					name = "value 2",
					type = "input",
					order = 30,
					width = "full",
					set = function(info, val) TGGData.Hello0006B = val end,
					get = function(info) return TGGData.Hello0006B end					
				},
				Hello_0006_C = {
					name = "value 3",
					type = "input",
					order = 40,
					width = "full",
					set = function(info, val) TGGData.Hello0006C = val end,
					get = function(info) return TGGData.Hello0006C end	
				},
				Hello_0006_D = {
					name = "value 4",
					type = "input",
					order = 50,
					width = "full",
					set = function(info, val) TGGData.Hello0006D = val end,
					get = function(info) return TGGData.Hello0006D end		
				},
				Hello_0006_E = {
					name = "value 5",
					type = "input",
					order = 60,
					width = "full",
					set = function(info, val) TGGData.Hello0006E = val end,
					get = function(info) return TGGData.Hello0006E end		
				},
				Hello_0006_F = {
					name = "value 6",
					type = "input",
					order = 70,
					width = "full",
					set = function(info, val) TGGData.Hello0006F = val end,
					get = function(info) return TGGData.Hello0006F end
				},
				Hello_0006_G = {
					name = "value 7",
					type = "input",
					order = 80,
					width = "full",
					set = function(info, val) TGGData.Hello0006G = val end,
					get = function(info) return TGGData.Hello0006G end
				},
				Hello_0006_H = {
					name = "value 8",
					type = "input",
					order = 90,
					width = "full",
					set = function(info, val) TGGData.Hello0006H = val end,
					get = function(info) return TGGData.Hello0006H end
				}
			}
		},
		
		Hello_0612 = {
			name = "Greetings - in the morning",
			type = "group",
			order = 30,
			args = {
				Hello_0612_Header = {
					name = "greetings between 6 and 12 o'clock",
					type = "header",
					order = 10,
				},
				Hello_0612_A = {
					name = "value 1",
					type = "input",
					order = 20,
					width = "full",
					set = function(info, val) TGGData.Hello0612A = val end,
					get = function(info) return TGGData.Hello0612A end
				},
				Hello_0612_B = {
					name = "value 2",
					type = "input",
					order = 30,
					width = "full",
					set = function(info, val) TGGData.Hello0612B = val end,
					get = function(info) return TGGData.Hello0612B end					
				},
				Hello_0612_C = {
					name = "value 3",
					type = "input",
					order = 40,
					width = "full",
					set = function(info, val) TGGData.Hello0612C = val end,
					get = function(info) return TGGData.Hello0612C end	
				},
				Hello_0612_D = {
					name = "value 4",
					type = "input",
					order = 50,
					width = "full",
					set = function(info, val) TGGData.Hello0612D = val end,
					get = function(info) return TGGData.Hello0612D end		
				},
				Hello_0612_E = {
					name = "value 5",
					type = "input",
					order = 60,
					width = "full",
					set = function(info, val) TGGData.Hello0612E = val end,
					get = function(info) return TGGData.Hello0612E end		
				},
				Hello_0612_F = {
					name = "value 6",
					type = "input",
					order = 70,
					width = "full",
					set = function(info, val) TGGData.Hello0612F = val end,
					get = function(info) return TGGData.Hello0612F end
				},
				Hello_0612_G = {
					name = "value 7",
					type = "input",
					order = 80,
					width = "full",
					set = function(info, val) TGGData.Hello0612G = val end,
					get = function(info) return TGGData.Hello0612G end
				},
				Hello_0612_H = {
					name = "value 8",
					type = "input",
					order = 90,
					width = "full",
					set = function(info, val) TGGData.Hello0612H = val end,
					get = function(info) return TGGData.Hello0612H end
				}
			}
		},
		
		Hello_1215 = {
			name = "Greetings - midday",
			type = "group",
			order = 40,
			args = {
				Hello_1215_Header = {
					name = "greetings between 12 and 15 o'clock",
					type = "header",
					order = 10,
				},
				Hello_1215_A = {
					name = "value 1",
					type = "input",
					order = 20,
					width = "full",
					set = function(info, val) TGGData.Hello1215A = val end,
					get = function(info) return TGGData.Hello1215A end
				},
				Hello_1215_B = {
					name = "value 2",
					type = "input",
					order = 30,
					width = "full",
					set = function(info, val) TGGData.Hello1215B = val end,
					get = function(info) return TGGData.Hello1215B end					
				},
				Hello_1215_C = {
					name = "value 3",
					type = "input",
					order = 40,
					width = "full",
					set = function(info, val) TGGData.Hello1215C = val end,
					get = function(info) return TGGData.Hello1215C end	
				},
				Hello_1215_D = {
					name = "value 4",
					type = "input",
					order = 50,
					width = "full",
					set = function(info, val) TGGData.Hello1215D = val end,
					get = function(info) return TGGData.Hello1215D end		
				},
				Hello_1215_E = {
					name = "value 5",
					type = "input",
					order = 60,
					width = "full",
					set = function(info, val) TGGData.Hello1215E = val end,
					get = function(info) return TGGData.Hello1215E end		
				},
				Hello_1215_F = {
					name = "value 6",
					type = "input",
					order = 70,
					width = "full",
					set = function(info, val) TGGData.Hello1215F = val end,
					get = function(info) return TGGData.Hello1215F end
				},
				Hello_1215_G = {
					name = "value 7",
					type = "input",
					order = 80,
					width = "full",
					set = function(info, val) TGGData.Hello1215G = val end,
					get = function(info) return TGGData.Hello1215G end
				},
				Hello_1215_H = {
					name = "value 8",
					type = "input",
					order = 90,
					width = "full",
					set = function(info, val) TGGData.Hello1215H = val end,
					get = function(info) return TGGData.Hello1215H end
				}
			}
		},
		
		Hello_1518 = {
			name = "Greetings - afternoon",
			type = "group",
			order = 50,
			args = {
				Hello_1518_Header = {
					name = "greetings between 15 and 18 o'clock",
					type = "header",
					order = 10,
				},
				Hello_1518_A = {
					name = "value 1",
					type = "input",
					order = 20,
					width = "full",
					set = function(info, val) TGGData.Hello1518A = val end,
					get = function(info) return TGGData.Hello1518A end
				},
				Hello_1518_B = {
					name = "value 2",
					type = "input",
					order = 30,
					width = "full",
					set = function(info, val) TGGData.Hello1518B = val end,
					get = function(info) return TGGData.Hello1518B end					
				},
				Hello_1518_C = {
					name = "value 3",
					type = "input",
					order = 40,
					width = "full",
					set = function(info, val) TGGData.Hello1518C = val end,
					get = function(info) return TGGData.Hello1518C end	
				},
				Hello_1518_D = {
					name = "value 4",
					type = "input",
					order = 50,
					width = "full",
					set = function(info, val) TGGData.Hello1518D = val end,
					get = function(info) return TGGData.Hello1518D end		
				},
				Hello_1518_E = {
					name = "value 5",
					type = "input",
					order = 60,
					width = "full",
					set = function(info, val) TGGData.Hello1518E = val end,
					get = function(info) return TGGData.Hello1518E end		
				},
				Hello_1518_F = {
					name = "value 6",
					type = "input",
					order = 70,
					width = "full",
					set = function(info, val) TGGData.Hello1518F = val end,
					get = function(info) return TGGData.Hello1518F end
				},
				Hello_1518_G = {
					name = "value 7",
					type = "input",
					order = 80,
					width = "full",
					set = function(info, val) TGGData.Hello1518G = val end,
					get = function(info) return TGGData.Hello1518G end
				},
				Hello_1518_H = {
					name = "value 8",
					type = "input",
					order = 90,
					width = "full",
					set = function(info, val) TGGData.Hello1518H = val end,
					get = function(info) return TGGData.Hello1518H end
				}
			}
		},
		
		Hello_1824 = {
			name = "Greetings - in the evening",
			type = "group",
			order = 60,
			args = {
				Hello_1824_Header = {
					name = "greetings between 18 and 0 o'clock",
					type = "header",
					order = 10,
				},
				Hello_1824_A = {
					name = "value 1",
					type = "input",
					order = 20,
					width = "full",
					set = function(info, val) TGGData.Hello1824A = val end,
					get = function(info) return TGGData.Hello1824A end
				},
				Hello_1824_B = {
					name = "value 2",
					type = "input",
					order = 30,
					width = "full",
					set = function(info, val) TGGData.Hello1824B = val end,
					get = function(info) return TGGData.Hello1824B end					
				},
				Hello_1824_C = {
					name = "value 3",
					type = "input",
					order = 40,
					width = "full",
					set = function(info, val) TGGData.Hello1824C = val end,
					get = function(info) return TGGData.Hello1824C end	
				},
				Hello_1824_D = {
					name = "value 4",
					type = "input",
					order = 50,
					width = "full",
					set = function(info, val) TGGData.Hello1824D = val end,
					get = function(info) return TGGData.Hello1824D end		
				},
				Hello_1824_E = {
					name = "value 5",
					type = "input",
					order = 60,
					width = "full",
					set = function(info, val) TGGData.Hello1824E = val end,
					get = function(info) return TGGData.Hello1824E end		
				},
				Hello_1824_F = {
					name = "value 6",
					type = "input",
					order = 70,
					width = "full",
					set = function(info, val) TGGData.Hello1824F = val end,
					get = function(info) return TGGData.Hello1824F end
				},
				Hello_1824_G = {
					name = "value 7",
					type = "input",
					order = 80,
					width = "full",
					set = function(info, val) TGGData.Hello1824G = val end,
					get = function(info) return TGGData.Hello1824G end
				},
				Hello_1824_H = {
					name = "value 8",
					type = "input",
					order = 90,
					width = "full",
					set = function(info, val) TGGData.Hello1824H = val end,
					get = function(info) return TGGData.Hello1824H end
				}
			}
		},		
		
		Bye_00 = {
			name = "goodbye",
			type = "group",
			order = 70,
			args = {
				Bye_00_Header = {
					name = "simply say goodbye",
					type = "header",
					order = 10,
				},
				Bye_00_A = {
					name = "value 1",
					type = "input",
					order = 20,
					width = "full",
					set = function(info, val) TGGData.Bye00A = val end,
					get = function(info) return TGGData.Bye00A end
				},
				Bye_00_B = {
					name = "value 2",
					type = "input",
					order = 30,
					width = "full",
					set = function(info, val) TGGData.Bye00B = val end,
					get = function(info) return TGGData.Bye00B end					
				},
				Bye_00_C = {
					name = "value 3",
					type = "input",
					order = 40,
					width = "full",
					set = function(info, val) TGGData.Bye00C = val end,
					get = function(info) return TGGData.Bye00C end	
				},
				Bye_00_D = {
					name = "value 4",
					type = "input",
					order = 50,
					width = "full",
					set = function(info, val) TGGData.Bye00D = val end,
					get = function(info) return TGGData.Bye00D end		
				},
				Bye_00_E = {
					name = "value 5",
					type = "input",
					order = 60,
					width = "full",
					set = function(info, val) TGGData.Bye00E = val end,
					get = function(info) return TGGData.Bye00E end		
				},
				Bye_00_F = {
					name = "value 6",
					type = "input",
					order = 70,
					width = "full",
					set = function(info, val) TGGData.Bye00F = val end,
					get = function(info) return TGGData.Bye00F end
				},
				Bye_00_G = {
					name = "value 7",
					type = "input",
					order = 80,
					width = "full",
					set = function(info, val) TGGData.Bye00G = val end,
					get = function(info) return TGGData.Bye00G end
				},
				Bye_00_H = {
					name = "value 8",
					type = "input",
					order = 90,
					width = "full",
					set = function(info, val) TGGData.Bye00H = val end,
					get = function(info) return TGGData.Bye00H end
				}
			}
		}	,	
		
		GZ_00 = {
			name = "send some congrats",
			type = "group",
			order = 80,
			args = {
				GZ_00_Header = {
					name = "congratulations",
					type = "header",
					order = 10,
				},
				GZ_00_A = {
					name = "value 1",
					type = "input",
					order = 20,
					width = "full",
					set = function(info, val) TGGData.GZ00A = val end,
					get = function(info) return TGGData.GZ00A end
				},
				GZ_00_B = {
					name = "value 2",
					type = "input",
					order = 30,
					width = "full",
					set = function(info, val) TGGData.GZ00B = val end,
					get = function(info) return TGGData.GZ00B end					
				},
				GZ_00_C = {
					name = "value 3",
					type = "input",
					order = 40,
					width = "full",
					set = function(info, val) TGGData.GZ00C = val end,
					get = function(info) return TGGData.GZ00C end	
				},
				GZ_00_D = {
					name = "value 4",
					type = "input",
					order = 50,
					width = "full",
					set = function(info, val) TGGData.GZ00D = val end,
					get = function(info) return TGGData.GZ00D end		
				},
				GZ_00_E = {
					name = "value 5",
					type = "input",
					order = 60,
					width = "full",
					set = function(info, val) TGGData.GZ00E = val end,
					get = function(info) return TGGData.GZ00E end		
				},
				GZ_00_F = {
					name = "value 6",
					type = "input",
					order = 70,
					width = "full",
					set = function(info, val) TGGData.GZ00F = val end,
					get = function(info) return TGGData.GZ00F end
				},
				GZ_00_G = {
					name = "value 7",
					type = "input",
					order = 80,
					width = "full",
					set = function(info, val) TGGData.GZ00G = val end,
					get = function(info) return TGGData.GZ00G end
				},
				GZ_00_H = {
					name = "value 8",
					type = "input",
					order = 90,
					width = "full",
					set = function(info, val) TGGData.GZ00H = val end,
					get = function(info) return TGGData.GZ00H end
				}
			}
		},

		THX_00 = {
			name = "thank someone",
			type = "group",
			order = 90,
			args = {
				THX_00_Header = {
					name = "say thank you",
					type = "header",
					order = 10,
				},
				THX_00_A = {
					name = "value 1",
					type = "input",
					order = 20,
					width = "full",
					set = function(info, val) TGGData.THX00A = val end,
					get = function(info) return TGGData.THX00A end
				},
				THX_00_B = {
					name = "value 2",
					type = "input",
					order = 30,
					width = "full",
					set = function(info, val) TGGData.THX00B = val end,
					get = function(info) return TGGData.THX00B end					
				},
				THX_00_C = {
					name = "value 3",
					type = "input",
					order = 40,
					width = "full",
					set = function(info, val) TGGData.THX00C = val end,
					get = function(info) return TGGData.THX00C end	
				},
				THX_00_D = {
					name = "value 4",
					type = "input",
					order = 50,
					width = "full",
					set = function(info, val) TGGData.THX00D = val end,
					get = function(info) return TGGData.THX00D end		
				},
				THX_00_E = {
					name = "value 5",
					type = "input",
					order = 60,
					width = "full",
					set = function(info, val) TGGData.THX00E = val end,
					get = function(info) return TGGData.THX00E end		
				},
				THX_00_F = {
					name = "value 6",
					type = "input",
					order = 70,
					width = "full",
					set = function(info, val) TGGData.THX00F = val end,
					get = function(info) return TGGData.THX00F end
				},
				THX_00_G = {
					name = "value 7",
					type = "input",
					order = 80,
					width = "full",
					set = function(info, val) TGGData.THX00G = val end,
					get = function(info) return TGGData.THX00G end
				},
				THX_00_H = {
					name = "value 8",
					type = "input",
					order = 90,
					width = "full",
					set = function(info, val) TGGData.THX00H = val end,
					get = function(info) return TGGData.THX00H end
				}
			}
		}
		
    },
}

function split(s, delimiter)
    result = {};
    for match in (s..delimiter):gmatch("(.-)"..delimiter) do
        table.insert(result, match);
    end
    return result;
end

function IsEmpty(s)
	return s == nil or s == ""
end

function TugasGuildGossip:OnInitialize()

    LibStub("AceConfig-3.0"):RegisterOptionsTable("TugasGuildGossip", options)
    self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("TugasGuildGossip", "TugasGuildGossip")

	self.db = LibStub("AceDB-3.0"):New("TugasGuildGossip")

	self:RegisterChatCommand("tgg", "ChatCommand_General")
	self:RegisterChatCommand("tgginfo", "ChatCommand_GuildInfo")
	self:RegisterChatCommand("tgghello", "ChatCommand_Hello")
	self:RegisterChatCommand("tggbye", "ChatCommand_Bye")
	self:RegisterChatCommand("tgggz", "ChatCommand_GZ")
	self:RegisterChatCommand("tggthx", "ChatCommand_THX")
	
end

function TugasGuildGossip:OnEnable() -- Welcome Nachricht ausgeben / fliegt bald raus
	
	if  TGGData.FirstRun == nil then
	
		print("|cFFAAAAAATGG: looks, it's you first run on this account. I'm loading some templates.")

		-- ein paar Standardwerte
		TGGData.Hello0006A = "good morning"
		TGGData.Hello0006B = "hello"
		
		TGGData.Hello0612A = "good morning"
		TGGData.Hello0612B = "hello"
		
		TGGData.Hello1215A = "bon jour, everyone :)"
		TGGData.Hello1215B = "hello"
		
		TGGData.Hello1518A = "guten tag"
		TGGData.Hello1518B = "hallo"
		
		TGGData.Hello1824A = "howdy"
		TGGData.Hello1824B = "hello"
		
		TGGData.Bye00A = "bye"
		TGGData.Bye00B = "ciao"
		
		TGGData.GZ00A = "gz"
		TGGData.GZ00B = "gw"
		TGGData.GZ00C = "glückwunsch"
		
		TGGData.THX00A = "thx"
		TGGData.THX00B = "danke"

		-- einmal den Flag setzen, dass irgendwas in dem Array drinnen steht
		TGGData.FirstRun = true
		TGGDate.DebugMode = false
		
	end
	
end

function TugasGuildGossip:ChatCommand_General(input)
	if not input or input:trim() == "" then
		InterfaceOptionsFrame_OpenToCategory(self.optionsFrame)
	else
		LibStub("AceConfigCmd-3.0"):HandleCommand("tgg", "Tuga's Guild Gossip TGG", input)
	end
end

function TugasGuildGossip:ChatCommand_GuildInfo(input)
	if (IsInGuild()) then
		local varGuild = GetGuildInfo("player")
		local numTotal, numOnlineMaxLevel, numOnline = GetNumGuildMembers()
		print("|cFF00FF88TGG: Guild: " .. varGuild .. " - Members total: " .. numTotal .. " - Members online: " .. numOnline)
	else
		print("|cFFFF0000TGG: You're not in a guild.")
	end
end

function TugasGuildGossip:ChatCommand_Hello(input)

	if (IsInGuild()) then
	
		blnTextExists = false
		strOutput = ""
		varHour = tonumber(date("%H"))
		strHour = ""
		TGG.Table = {}
		
		if varHour >= 0 and varHour < 6 then
			
			if IsEmpty(TGGData.Hello0006A) == false then
				table.insert( TGG.Table, TGGData.Hello0006A)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0006B) == false then
				table.insert( TGG.Table, TGGData.Hello0006B)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0006C) == false then
				table.insert( TGG.Table, TGGData.Hello0006C)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0006D) == false then
				table.insert( TGG.Table, TGGData.Hello0006D)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0006E) == false then
				table.insert( TGG.Table, TGGData.Hello0006E)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0006F) == false then
				table.insert( TGG.Table, TGGData.Hello0006F)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0006G) == false then
				table.insert( TGG.Table, TGGData.Hello0006G)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0006H) == false then
				table.insert( TGG.Table, TGGData.Hello0006H)
				blnTextExists = true
			end
			
			strHour = "night 00 - 06"
		
		elseif varHour >= 6 and varHour < 12 then
			
			if IsEmpty(TGGData.Hello0612A) == false then
				table.insert( TGG.Table, TGGData.Hello0612A)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0612B) == false then
				table.insert( TGG.Table, TGGData.Hello0612B)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0612C) == false then
				table.insert( TGG.Table, TGGData.Hello0612C)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0612D) == false then
				table.insert( TGG.Table, TGGData.Hello0612D)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0612E) == false then
				table.insert( TGG.Table, TGGData.Hello0612E)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0612F) == false then
				table.insert( TGG.Table, TGGData.Hello0612F)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0612G) == false then
				table.insert( TGG.Table, TGGData.Hello0612G)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello0612H) == false then
				table.insert( TGG.Table, TGGData.Hello0612H)
				blnTextExists = true
			end
			
			strHour = "morning 06 - 12"
			
		elseif varHour >= 12 and varHour < 15 then
		
			if IsEmpty(TGGData.Hello1215A) == false then
				table.insert( TGG.Table, TGGData.Hello1215A)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1215B) == false then
				table.insert( TGG.Table, TGGData.Hello1215B)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1215C) == false then
				table.insert( TGG.Table, TGGData.Hello1215C)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1215D) == false then
				table.insert( TGG.Table, TGGData.Hello1215D)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1215E) == false then
				table.insert( TGG.Table, TGGData.Hello1215E)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1215F) == false then
				table.insert( TGG.Table, TGGData.Hello1215F)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1215G) == false then
				table.insert( TGG.Table, TGGData.Hello1215G)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1215H) == false then
				table.insert( TGG.Table, TGGData.Hello1215H)
				blnTextExists = true
			end
			
			strHour = "midday 12 - 15"
			
		elseif varHour >= 15 and varHour < 18 then
		
			if IsEmpty(TGGData.Hello1518A) == false then
				table.insert( TGG.Table, TGGData.Hello1518A)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1518B) == false then
				table.insert( TGG.Table, TGGData.Hello1518B)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1518C) == false then
				table.insert( TGG.Table, TGGData.Hello1518C)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1518D) == false then
				table.insert( TGG.Table, TGGData.Hello1518D)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1518E) == false then
				table.insert( TGG.Table, TGGData.Hello1518E)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1518F) == false then
				table.insert( TGG.Table, TGGData.Hello1518F)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1518G) == false then
				table.insert( TGG.Table, TGGData.Hello1518G)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1518H) == false then
				table.insert( TGG.Table, TGGData.Hello1518H)
				blnTextExists = true
			end
			
			strHour = "afternoon 15 - 18"
			
		elseif varHour >= 18 and varHour < 24 then
		
			if IsEmpty(TGGData.Hello1824A) == false then
				table.insert( TGG.Table, TGGData.Hello1824A)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1824B) == false then
				table.insert( TGG.Table, TGGData.Hello1824B)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1824C) == false then
				table.insert( TGG.Table, TGGData.Hello1824C)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1824D) == false then
				table.insert( TGG.Table, TGGData.Hello1824D)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1824E) == false then
				table.insert( TGG.Table, TGGData.Hello1824E)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1824F) == false then
				table.insert( TGG.Table, TGGData.Hello1824F)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1824G) == false then
				table.insert( TGG.Table, TGGData.Hello1824G)
				blnTextExists = true
			end
			
			if IsEmpty(TGGData.Hello1824H) == false then
				table.insert( TGG.Table, TGGData.Hello1824H)
				blnTextExists = true
			end
			
			strHour = "evening 18 - 00"
			
		else
		
			print("|cFFFF0000TGG: Run out of time ??? WTF ???")
			
		end
		
		if blnTextExists == true then
		
			strOutput = TGG.Table[ math.random( #TGG.Table ) ]
		
			if TGGData.DebugMode == false then
				SendChatMessage( strOutput , "GUILD")
			else
				print("|cFFAAAAAATGG: v" .. TGG.Version .." - DEBUG MODE ENABLED - send out at " .. strHour .. ": " .. strOutput)
			end
			
		end
	
	else
	
		print("|cFFFF0000TGG: You're not in a guild.")
		
	end
	
end

function TugasGuildGossip:ChatCommand_Bye(input)

	if (IsInGuild()) then
		
		blnTextExists = false
		strOutput = ""
		TGG.Table = {}

		if IsEmpty(TGGData.Bye00A) == false then
			table.insert( TGG.Table, TGGData.Bye00A)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.Bye00B) == false then
			table.insert( TGG.Table, TGGData.Bye00B)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.Bye00C) == false then
			table.insert( TGG.Table, TGGData.Bye00C)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.Bye00D) == false then
			table.insert( TGG.Table, TGGData.Bye00D)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.Bye00E) == false then
			table.insert( TGG.Table, TGGData.Bye00E)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.Bye00F) == false then
			table.insert( TGG.Table, TGGData.Bye00F)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.Bye00G) == false then
			table.insert( TGG.Table, TGGData.Bye00G)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.Bye00H) == false then
			table.insert( TGG.Table, TGGData.Bye00H)
			blnTextExists = true
		end
		
		if blnTextExists == true then
		
			strOutput = TGG.Table[ math.random( #TGG.Table ) ]
		
			if TGGData.DebugMode == false then
				SendChatMessage( strOutput , "GUILD")
			else
				print("|cFFAAAAAATGG: v" .. TGG.Version .." - DEBUG MODE ENABLED - send out: " .. strOutput)
			end
			
		end
		
		
	else
	
		print("|cFFFF0000TGG: You're not in a guild.")
		
	end
	
end

function TugasGuildGossip:ChatCommand_GZ(input)

	if (IsInGuild()) then
		
		blnTextExists = false
		strOutput = ""
		TGG.Table = {}

		if IsEmpty(TGGData.GZ00A) == false then
			table.insert( TGG.Table, TGGData.GZ00A)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.GZ00B) == false then
			table.insert( TGG.Table, TGGData.GZ00B)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.GZ00C) == false then
			table.insert( TGG.Table, TGGData.GZ00C)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.GZ00D) == false then
			table.insert( TGG.Table, TGGData.GZ00D)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.GZ00E) == false then
			table.insert( TGG.Table, TGGData.GZ00E)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.GZ00F) == false then
			table.insert( TGG.Table, TGGData.GZ00F)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.GZ00G) == false then
			table.insert( TGG.Table, TGGData.GZ00G)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.GZ00H) == false then
			table.insert( TGG.Table, TGGData.GZ00H)
			blnTextExists = true
		end
		
		if blnTextExists == true then
		
			strOutput = TGG.Table[ math.random( #TGG.Table ) ]
		
			if TGGData.DebugMode == false then
				SendChatMessage( strOutput , "GUILD")
			else
				print("|cFFAAAAAATGG: v" .. TGG.Version .." - DEBUG MODE ENABLED - send out: " .. strOutput)
			end
			
		end
		
		
	else
	
		print("|cFFFF0000TGG: You're not in a guild.")
		
	end
	
end

function TugasGuildGossip:ChatCommand_THX(input)

	if (IsInGuild()) then
	
		blnTextExists = false
		strOutput = ""
		TGG.Table = {}
		
		if IsEmpty(TGGData.THX00A) == false then
			table.insert( TGG.Table, TGGData.THX00A)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.THX00B) == false then
			table.insert( TGG.Table, TGGData.THX00B)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.THX00C) == false then
			table.insert( TGG.Table, TGGData.THX00C)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.THX00D) == false then
			table.insert( TGG.Table, TGGData.THX00D)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.THX00E) == false then
			table.insert( TGG.Table, TGGData.THX00E)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.THX00F) == false then
			table.insert( TGG.Table, TGGData.THX00F)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.THX00G) == false then
			table.insert( TGG.Table, TGGData.THX00G)
			blnTextExists = true
		end
		
		if IsEmpty(TGGData.THX00H) == false then
			table.insert( TGG.Table, TGGData.THX00H)
			blnTextExists = true
		end
		
		if blnTextExists == true then
		
			strOutput = TGG.Table[ math.random( #TGG.Table ) ]
		
			if TGGData.DebugMode == false then
				SendChatMessage( strOutput , "GUILD")
			else
				print("|cFFAAAAAATGG: v" .. TGG.Version .." - DEBUG MODE ENABLED - send out: " .. strOutput)
			end
			
		end		
		
	else
	
		print("|cFFFF0000TGG: You're not in a guild.")
		
	end
	
end

